Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkDummyController Class Reference

`#include <vtkDummyController.h>`

Inheritance diagram for vtkDummyController:

[legend]
Collaboration diagram for vtkDummyController:

[legend]
List of all members.

## Detailed Description

Dummy controller for single process applications.

Date:
  2002/06/28 13:51:45

Revision:
  1.2

This is a dummy controller which can be used by applications which always require a controller but are also compile on systems without threads or mpi.

See also:
  vtkMultiProcessController

Created by:
  - Geveci, Berk

CVS contributions (if > 5%):
  - Geveci, Berk (94%)
  - Cedilnik, Andy (5%)

CVS logs (CVSweb):
  - .`cxx` (`/Parallel/vtkDummyController.cxx)`
  - .`h` (`/Parallel/vtkDummyController.h)`

Definition at line 45 of file vtkDummyController.h.

## Public Types
typedef vtkMultiProcessController | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
int | GetLocalProcessId ()
virtual void | SingleMethodExecute ()
virtual void | MultipleMethodExecute ()
virtual void | Barrier ()
virtual void | CreateOutputWindow ()
virtual void | Initialize (int *, char ***, int)
virtual void | Initialize (int *, char ***)
virtual void | Finalize ()
virtual void | Finalize (int)
## Static Public Methods
vtkDummyController * | New ()
int | IsTypeOf (const char *type)
vtkDummyController * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkDummyController ()
| ~vtkDummyController ()

## Member Typedef Documentation

typedef vtkMultiProcessController vtkDummyController::Superclass

| Reimplemented from vtkMultiProcessController. Definition at line 49 of file vtkDummyController.h.

## Constructor & Destructor Documentation

vtkDummyController::vtkDummyController | ( |  | ) | `[inline, protected]`

| Definition at line 76 of file vtkDummyController.h.

vtkDummyController::~vtkDummyController | ( |  | ) | `[inline, protected]`

| Definition at line 77 of file vtkDummyController.h.

## Member Function Documentation

vtkDummyController* vtkDummyController::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkMultiProcessController.

virtual const char* vtkDummyController::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkMultiProcessController.

int vtkDummyController::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkMultiProcessController.

virtual int vtkDummyController::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkMultiProcessController.

vtkDummyController* vtkDummyController::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkMultiProcessController.

void vtkDummyController::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkMultiProcessController.

virtual void vtkDummyController::Initialize | ( | int * | ,
|  | char *** | ,
|  | int |
| ) | `[inline, virtual]`

| This method is for setting up the processes. Definition at line 54 of file vtkDummyController.h.

virtual void vtkDummyController::Initialize | ( | int * | ,
|  | char *** |
| ) | `[inline, virtual]`

| This method is for setting up the processes. Definition at line 55 of file vtkDummyController.h.

virtual void vtkDummyController::Finalize | ( |  | ) | `[inline, virtual]`

| This method is for setting up the processes. Implements vtkMultiProcessController. Definition at line 56 of file vtkDummyController.h.

virtual void vtkDummyController::Finalize | ( | int |  | ) | `[inline, virtual]`

| This method is for setting up the processes. Implements vtkMultiProcessController. Definition at line 57 of file vtkDummyController.h.

int vtkDummyController::GetLocalProcessId | ( |  | ) | `[inline, virtual]`

| This method always returns 0. Reimplemented from vtkMultiProcessController. Definition at line 61 of file vtkDummyController.h.

virtual void vtkDummyController::SingleMethodExecute | ( |  | ) | `[inline, virtual]`

| Does nothing. Implements vtkMultiProcessController. Definition at line 64 of file vtkDummyController.h.

virtual void vtkDummyController::MultipleMethodExecute | ( |  | ) | `[inline, virtual]`

| Does nothing. Implements vtkMultiProcessController. Definition at line 67 of file vtkDummyController.h.

virtual void vtkDummyController::Barrier | ( |  | ) | `[inline, virtual]`

| Does nothing. Implements vtkMultiProcessController. Definition at line 70 of file vtkDummyController.h.

virtual void vtkDummyController::CreateOutputWindow | ( |  | ) | `[inline, virtual]`

| Does nothing. Implements vtkMultiProcessController. Definition at line 73 of file vtkDummyController.h.

The documentation for this class was generated from the following file:

- Parallel/vtkDummyController.h